<v-container v-if="!user">
	<v-overlay :value="true">
		<v-progress-circular
			:size="50"
			color="primary"
			indeterminate
		></v-progress-circular>
	</v-overlay>
</v-container>
<v-container v-else class="user">
  <v-btn class="back-button" fab dark small color="indigo" @click="$router.go(-1)">
    <v-icon dark>mdi-arrow-left</v-icon>
  </v-btn>
	<div class="user__picture">
		<v-img
			class="picture__image elevation-2"
			max-height="150"
			max-width="250"
			:src="user.picture.large"
		></v-img>
	</div>

	<div class="user__map elevation-2">
		<l-map
			:zoom="zoom"
			:center="userLocation"
			:options="mapOptions"
		>
			<l-tile-layer :url="url"/>
				<l-marker :lat-lng="userLocation">
				</l-marker>
		</l-map>
	</div>

	<div class="user__favorite-button">
		<v-btn
			v-if=""
			block
			elevation="2"
			outlined
			color="pink"
			@click="toggleFavorite">
			{{
				this.isUserFavorite ?
					"Eliminar de favoritos" : "Añadir a favoritos"
			}}
		</v-btn>
	</div>
	<div class="user__personal-data elevation-2">
		<v-container>
			<span class="text-h6">Datos personales</span>
			<v-row>
				<v-col cols="12" sm="6">
					<v-text-field :value="user.name" label="Nombre" filled readonly></v-text-field>
				</v-col>
				<v-col cols="12" sm="6">
					<v-text-field :value="user.email" label="Email" filled readonly></v-text-field>
				</v-col>
			</v-row>
		</v-container>
	</div>
	<div class="user__location-data elevation-2">
		<v-container>
			<span class="text-h6">Datos de localización</span>
			<v-row>
				<v-col cols="12" sm="4">
					<v-text-field :value="user.location.city" label="Ciudad" filled readonly>
					</v-text-field>
				</v-col>
				<v-col cols="12" sm="4">
					<v-text-field :value="userStreet" label="Calle" filled readonly></v-text-field>
				</v-col>
				<v-col cols="12" sm="4">
					<v-text-field :value="user.cell" label="Teléfono" filled readonly></v-text-field>
				</v-col>
			</v-row>
		</v-container>
	</div>
</v-container>
